/* =========================
   GLOBAL STYLES – RC4U
   ========================= */

:root {
  --rc4u-transition-default: all .3s ease;
  --rc4u-btn-radius: 99px;
  --rc4u-box-radius: 20px;
  --rc4u-box-shadow-1: 0 2px 4px rgba(0, 0, 0, .2);
  --rc4u-box-shadow-2: 0 6px 14px rgba(0, 0, 0, .35);
}

/* Tools CSS */
.text-shadow--light h1,
.text-shadow--light h2,
.text-shadow--light h3,
.text-shadow--light h4,
.prefix-shadow.uagb-ifb-title-prefix,
.prefix-shadow .uagb-ifb-title-prefix,
.ast-theme-transparent-header .main-navigation .menu-link .menu-text {
	text-shadow: .5px .5px 1px rgba(0,0,0,.2)
}

#page .rc4u-container {
	box-shadow: var(--rc4u-box-shadow-2);
	border-radius: var(--rc4u-box-radius);
	z-index: 1
}

#page .rc4u-container--light,
.uagb-faq-item {
	box-shadow: var(--rc4u-box-shadow-1);
	border-radius: var(--rc4u-box-radius);
	z-index: 1
}

#page .rc4u-container .uagb-google-map__iframe {
	border-radius: var(--rc4u-box-radius);
}

.fs-1rem { font-size: 1rem }
.fs-2rem { font-size: 2rem }
.fs-3rem { font-size: 3rem }
.fs-4rem { font-size: 4rem }
.fs-5rem { font-size: 5rem }
.fs-6rem { font-size: 6rem }

.text-underlined:hover {
	text-decoration: underline
}

.hide-me {
	display: none !important
}

a.url-underlined,
.url-underlined a {
	text-decoration: underline !important
}

#page .mg-auto-leveler,
#page .mg-auto-leveler .uagb-container-inner-blocks-wrap {
	margin: 0 !important
}

.e-none {
	display: none;
	opacity: 0;
	height: 0
}

/* Tabbing focus */
.custom-logo-link:focus {
	outline: none
}

a:focus-visible,
#page #rc4u-newsletter.newsletter-footer-wrap :is(input):focus-visible,
#page #rc4u-newsletter.newsletter-footer-wrap .ml-form-checkboxRow input:focus-visible + .label-description{
  outline: 4px solid #e63946;
  outline-offset: 3px;
  transition: outline .2s ease, box-shadow .2s ease
}

#page .custom-logo-link:focus-visible,
#page .rc4u-cars-carousel .uagb-post__image a:focus {
	outline: none
}

a:focus { color: initial }

/* Transition */
.wp-block-button__link,
.uagb-buttons-repeater,
.wpcf7 .wpcf7-submit {
	transition: all .2s linear !important
}

/* Scroll to top */
#ast-scroll-top {
  border: 1px solid var(--ast-global-color-8);
  border-radius: 0
}

/* Contact Form */
#page .wpcf7 .wpcf7-text {
	border-radius: 10px	
}

#page .wpcf7 .wpcf7-textarea {
	border-top-left-radius: 10px;
	border-top-right-radius: 10px;
	border-bottom-left-radius: 10px
}

#page .wpcf7 input[type=checkbox] {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
	display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 1.25em;
    height: 1.25em;
    border: 1px solid var(--ast-global-color-3);
    background-color: transparent;
	transition: var(--rc4u-transition-default)
}

#page .wpcf7 input[type=checkbox]:checked::before {
    content: '✔';
    color: var(--ast-global-color-3)
}

#page .wpcf7 input[type=checkbox]:checked {
	background-color: var(--ast-global-color-1);
	border-color: var(--ast-global-color-1)
}

#page .wpcf7 .wpcf7-form-control-wrap .wpcf7-list-item {
	margin-left: 0
}

#page .wpcf7 .wpcf7-form-control-wrap .wpcf7-list-item a {
	text-decoration: underline
}

#page .wpcf7 .wpcf7-response-output {
	margin: 30px 0;
	padding: 16px;
	border: 1px solid var(--ast-global-color-3);
	background-color: var(--ast-global-color-1)
}

#page .wpcf7 .wpcf7-not-valid-tip {
	padding: 4px 12px;
	color: var(--ast-global-color-3);
	background-color: var(--ast-global-color-1)
}

#page .wpcf7 .wpcf7-submit {
	color: var(--ast-global-color-2);
	background-color: var(--ast-global-color-0);
	border: 2px solid var(--ast-global-color-0);
	border-radius: var(--rc4u-btn-radius);
	padding: 20px 45px
}

#page .wpcf7 .wpcf7-submit:hover {
	color: var(--ast-global-color-0);
	background-color: var(--ast-global-color-2);
	border-color: var(--ast-global-color-2)
}

/* Header */
.ast-theme-transparent-header #page .site-header .ast-custom-button:hover {
	background-color: #fff;
	border-color: #fff;
	color: var(--ast-global-color-2)
}

.site-header .lang-item .menu-link {
	border-left: 1px solid #fff;
  	height: 16px
}

/* Menu toggle */
body:not(.ast-theme-transparent-header) .ast-mobile-header-wrap .menu-toggle {
    border-color: var(--ast-global-color-2) !important
}

body:not(.ast-theme-transparent-header) .ast-mobile-header-wrap .menu-toggle svg {
    fill: var(--ast-global-color-2) !important
}

/* Home banner */
.home .ast-primary-header {
	background: linear-gradient(to bottom, rgba(13, 27, 42, .3) 0%, rgba(13, 27, 42, 0) 100%)
}

@media(max-width:767px) {
	.home .rc4u-home-banner .wp-block-uagb-info-box .uagb-ifb-title-wrap {
		display: flex;
		flex-direction: column
	}
	
	.home .rc4u-home-banner .wp-block-uagb-info-box .uagb-ifb-title-wrap .uagb-ifb-title-prefix {
		order: 2;
		margin-bottom: 1rem
	
	}
	
	.home .rc4u-home-banner .wp-block-uagb-info-box .uagb-ifb-title-wrap .uagb-ifb-title {
		order: 1;
		margin-bottom: 0 !important
	}
}

/* Logo */
.custom-logo { vertical-align: -28px }

/* Footer */
.site-footer .site-above-footer-wrap,
.site-footer .site-primary-footer-wrap,
.site-footer .site-below-footer-wrap {
	background-color: transparent !important
}

.site-footer { background-color: #fff }

.site-footer .site-above-footer-inner-wrap h2,
.site-footer .site-above-footer-inner-wrap h3,
.site-footer .site-above-footer-inner-wrap h4,
.site-footer .site-above-footer-inner-wrap p,
.site-footer .site-above-footer-inner-wrap a,
.site-footer .site-above-footer-inner-wrap li {
	line-height: 1.8 !important;
	color: var(--ast-global-color-2) !important
}

.site-footer .footer-widget-area .widget {
	margin: 0
}

.site-footer a:hover {
	text-decoration: underline;
	color: var(--ast-global-color-2)
}

#menu-footer-menu {
	display: grid;
	grid-template-columns: 1fr
}

.footer-social-item {
  transition: transform .2s ease
}

.footer-social-item:hover {
  transform: scale(1.1)
}

.site-content article .wp-block-list li {
	margin-left: 1rem
}

.site-footer ul,
.site-footer .widget-title,
.site-footer .widget_text,
.site-footer .wp-block-heading,
.site-footer #menu-footer-menu {
	text-align: left
}

@media (max-width: 544px) {
  .ast-hfb-header .site-footer {
    padding: 0 !important
  }
}

.copyright-text {
	font-size: .875rem
}

.logo-filter img {
	-webkit-filter: invert(100%) brightness(0);
	        filter: invert(100%) brightness(0)
}

.footer-logo {
	width: 128px
}

/* Complianz cookies */
.cmplz-cookiebanner .cmplz-category * {
	color: var(--ast-global-color-2) !important
}

.cmplz-cookiebanner .cmplz-category {
	background-color: var(--ast-global-color-0) !important
}

#page .cmplz-document {
	max-width: initial
}

#page .cmplz-document h2,
#page .cmplz-document h3, 
#page .cmplz-document h4 {
	font-family: 'Bebas Neue',sans-serif !important;
  	line-height: 1.3em !important;
	padding: 0;
	margin: 0 0 .5em 0
}

#page .cmplz-document h2 {
	font-size: 2rem !important
}

#page .cmplz-document h3 {
	font-size: 1.5rem !important
}

#page .cmplz-document h4,
#page .cmplz-document h5 {
	font-size: 1.2rem !important
}

#page .cmplz-document p,
#page .cmplz-document span {
	font-family: "Poppins", sans-serif;
	font-size: 17px;
	color: var(--ast-global-color-2) !important
}

#page .cmplz-document p {
	margin: 0 0 1em 0;
	padding: 0
}

#cmplz-cookies-overview,
#cmplz-manage-consent-container {
	margin: 1rem 0
}

#page .cmplz-buttons .cmplz-btn {
	border-radius: 20px !important
}

/* Testimonials */
.quote-testimonial::after {
  content: '';
  position: absolute;
  top: calc(-35px);
  right: calc(-35px);
  width: 180px;
  height: 100%;
  background: url('/wp-content/themes/rentcars4u/assets/images/quote-right-rc4u.svg') no-repeat
}

.quote-testimonial .uagb-heading-text {
	padding-right: 35px
}

.rc4u-cars-carousel {
	padding: 0
}

#page .rc4u-cars-carousel img {
	height: 210px;
	min-height: 210px;
	-o-object-fit: cover;
	   object-fit: cover
}

#page .rc4u-cars-carousel article {
	display: flex !important;
	flex-direction: column;
	min-height: 515px;
	height: 100%;
	padding: 0;
	border-radius: var(--rc4u-box-radius);
	box-shadow: var(--rc4u-box-shadow-1)
}

#page .rc4u-cars-carousel .slick-track {
	display: flex;
	gap: 6px
}

#page .rc4u-cars-carousel .wp-block-button {
	display: flex;
	margin-top: auto;
	width: auto
}

#page .rc4u-cars-carousel .wp-block-button__link {
	width: 100%;
	text-align: center;
	border-radius: var(--rc4u-btn-radius)
}

#page .rc4u-cars-carousel .wp-block-button__link:hover {
	border-color: var(--ast-global-color-2);
	background-color: transparent;
	color: var(--ast-global-color-2)
}

#page .rc4u-cars-carousel .slick-arrow,
#page .rc4u-cars-carousel .slick-arrow svg {
	transition: .3s ease;
	border-radius: 50%
}

#page .rc4u-cars-carousel .slick-arrow {
	background-color: var(--ast-global-color-2);
	box-shadow: var(--rc4u-box-shadow-1);
	border-color: transparent
}

#page .rc4u-cars-carousel .slick-arrow svg {
	fill: var(--ast-global-color-5)
}

#page .rc4u-cars-carousel .slick-arrow:hover {
	background-color: var(--ast-global-color-0)
}

#page .rc4u-cars-carousel .slick-arrow:hover svg {
	fill: var(--ast-global-color-2)
}

#page .rc4u-cars-carousel .slick-prev.slick-arrow svg {
	margin: 1px 1px 0 0
}

#page .rc4u-cars-carousel .slick-next.slick-arrow svg {
	margin: 1px 0 0 1px
}

@media(max-width:1399px) {
	#page .rc4u-cars-carousel {
		position: relative
	}
	
	#page .rc4u-cars-carousel .slick-next.slick-arrow {
		position: absolute;
		top: initial;
  		left: initial;
 	 	bottom: -54px;
  		right: 3px
	}
	
	#page .rc4u-cars-carousel .slick-prev.slick-arrow {
		position: absolute;
		top: initial;
  		left: initial;
 	 	bottom: -54px;
  		right: 47px
	}	
}

@media(max-width:768px) {
	#page .rc4u-cars-carousel {
		margin-bottom: 50px
	}
	
	#page .rc4u-cars-carousel .slick-prev.slick-arrow {
		right: initial;
		left: 3px
	}
}

.rc4u-info-box_header--right.uagb-infobox__content-wrap {
	width: auto !important
}

.woocommerce-checkout #main .entry-header {
	margin: 50px 0;
  	border-bottom: 1px solid var(--ast-global-color-2)
}

/* Custom btns */
#page .rc4u-btn-1 a {
	color: var(--ast-global-color-5);
	background-color: var(--ast-global-color-7);
	border: 2px solid var(--ast-global-color-5);
	border-radius: var(--rc4u-btn-radius)
}

#page .rc4u-btn-1 a:hover {
	color: var(--ast-global-color-2);
	background-color: var(--ast-global-color-0);
	border-color: var(--ast-global-color-0)
}

#page .rc4u-btn-2 a {
	color: var(--ast-global-color-2);
	background-color: var(--ast-global-color-0);
	border: 2px solid var(--ast-global-color-0);
	border-radius: var(--rc4u-btn-radius)
}

#page .rc4u-btn-2 a:hover {
	color: var(--ast-global-color-5);
	background-color: var(--ast-global-color-7);
	border-color: var(--ast-global-color-5)
}

#page .rc4u-btn-3 a {
	color: var(--ast-global-color-2);
	background-color: var(--ast-global-color-0);
	border: 2px solid var(--ast-global-color-0);
	border-radius: var(--rc4u-btn-radius)
}

#page .rc4u-btn-3 a:hover {
	color: var(--ast-global-color-0);
	background-color: var(--ast-global-color-2);
	border-color: var(--ast-global-color-2)
}

#page .rc4u-btn-4 a {
	color: var(--ast-global-color-0);
	background-color: var(--ast-global-color-2);
	border: 2px solid var(--ast-global-color-2);
	border-radius: var(--rc4u-btn-radius)
}

#page .rc4u-btn-4 a:hover {
	color: var(--ast-global-color-2);
	background-color: var(--ast-global-color-0);
	border-color: var(--ast-global-color-0)
}

/* Checkout */
.woocommerce-checkout .site-content {
	margin-bottom: 100px
}

.woocommerce-checkout form.woocommerce-checkout {
	background-color: var(--ast-global-color-2);
	border: 1px solid var(--ast-global-color-7);
	border-radius: 2px;
	padding: 40px;
	box-shadow: 0 4px 20px rgba(13, 27, 42, .4)
}

.woocommerce-checkout form.woocommerce-checkout input,
.woocommerce-checkout form.woocommerce-checkout textarea {
	color: var(--ast-global-color-2)
}

.woocommerce-checkout form.woocommerce-checkout *:not(.payment_box p, input, textarea, placeholder, select, span), 
.woocommerce-js form .form-row .required {
	color: var(--ast-global-color-0)
}

.woocommerce-checkout form.woocommerce-checkout label {
	font-size: 1rem;
	font-weight: 400
}
		
.woocommerce-checkout .woocommerce_checkout_timeline {
	display: flex;
  	align-items: center;
  	align-content: center;
  	justify-content: space-around;
  	margin: 40px 0 !important
}

.woocommerce-checkout .woocommerce-checkout-review-order {
	border: none
}

.woocommerce-checkout form .form-row {
	padding: 0 !important;
	margin-bottom: 1rem
}

.woocommerce-checkout .woocommerce-additional-fields {
	margin-top: 30px
}

.woocommerce-checkout .site-main header {
	margin: 40px 0 !important
}

/* Counter */
.rc4u-counter .wp-block-uagb-counter {
	border: 2px solid #fbfbfbab;
	border-radius: var(--rc4u-box-radius);
	background-color: rgba(0,0,0,.5);
	padding: 12px 24px;
	box-shadow: var(--rc4u-box-shadow-2)
}

.ib-icon-fixer .uagb-ifb-image-content {
	margin-left: -10px;
	margin-bottom: -10px
}

/* Car shop filters */
#page .rc4u-cars-shop {
  display: flex;
  position: relative;
  align-items: stretch;
  --filters-width: 25%;
}

#page .rc4u-cars-shop__filters {
  width: var(--filters-width);
  overflow: hidden;
  transition: .6s ease;
  opacity: 1
}

#page .rc4u-cars-shop__products {
  width: calc(100% - var(--filters-width));
  transition: .6s ease
}

#page .rc4u-cars-shop.filters-hidden {
  --filters-width: 0%
}

#page .rc4u-cars-shop.filters-hidden .rc4u-cars-shop__filters {
 	opacity: 0;
	padding: 0;
  	pointer-events: none
}

#page .rc4u-cars-shop.filters-hidden .rc4u-cars-shop__filters * {
	display: none
}

#page .rc4u-cars-shop.filters-hidden .rc4u-cars-shop__products {
  	padding: 0
}

#toggleCarFilters { 
	width: auto 
}

/* Newsletter */
@media(max-width:544px) {
	#page #rc4u-newsletter.newsletter-footer-wrap {margin-top:20px}
}

#page #rc4u-newsletter.newsletter-footer-wrap :is(
	.ml-form-embedBody,
	.horizontal-fields,
	.ml-form-successBody
),
#page #rc4u-newsletter.newsletter-cta-wrap :is(
	.ml-form-embedBody,
	.horizontal-fields,
	.ml-form-successBody
){
	padding:0!important
}

#page #rc4u-newsletter.newsletter-footer-wrap .ml-form-horizontalRow{
	display:-webkit-box;
	display:-ms-flexbox;
	display:flex;
	-webkit-box-orient:vertical;
	-webkit-box-direction:normal;
	    -ms-flex-direction:column;
	        flex-direction:column;
	gap:.5rem
}

#page #rc4u-newsletter.newsletter-footer-wrap :is(
	.ml-button-horizontal,
	.ml-input-horizontal
){
	width:100%!important
}

#page #rc4u-newsletter.newsletter-footer-wrap :is(.ml-button-horizontal button, .ml-input-horizontal input),
#page #rc4u-newsletter.newsletter-cta-wrap :is(.ml-button-horizontal button, .ml-input-horizontal input) {
	border-radius:99px!important
}

#page #rc4u-newsletter.newsletter-footer-wrap .ml-embedded :is(p,input,button),
#page #rc4u-newsletter.newsletter-cta-wrap .ml-embedded :is(p,input,button){
	font-family:inherit!important
}

#page #rc4u-newsletter.newsletter-footer-wrap .ml-embedded h4,
#page #rc4u-newsletter.newsletter-cta-wrap .ml-embedded h4 {
	font-family:"Bebas Neue",sans-serif!important;
	margin:inherit!important
}

#page #rc4u-newsletter.newsletter-cta-wrap .ml-embedded h4 {
	font-size: 2.5rem !important
}

#page #rc4u-newsletter.newsletter-footer-wrap .ml-embedded p,
#page #rc4u-newsletter.newsletter-cta-wrap .ml-embedded p{
	font-size:1rem!important;
	line-height:1.4!important
}

#page #rc4u-newsletter.newsletter-footer-wrap .ml-embedded input,
#page #rc4u-newsletter.newsletter-cta-wrap .ml-embedded input{
	padding:9px 18px!important
}

#page #rc4u-newsletter.newsletter-footer-wrap .ml-embedded button,
#page #rc4u-newsletter.newsletter-cta-wrap .ml-embedded button{
	-webkit-transition:.3s ease;
	transition:.3s ease
}

#page #rc4u-newsletter.newsletter-footer-wrap .ml-embedded :is(input,button),
#page #rc4u-newsletter.newsletter-cta-wrap .ml-embedded :is(input,button){
	font-size:.825rem!important;
	line-height:1!important
}

#page #rc4u-newsletter.newsletter-footer-wrap .ml-embedded button,
#page #rc4u-newsletter.newsletter-cta-wrap .ml-embedded button{
	font-weight:700;
	text-transform:uppercase!important;
	padding:13px 18px!important
}

#page #rc4u-newsletter.newsletter-footer-wrap .ml-form-checkboxRow label:hover,
#page #rc4u-newsletter.newsletter-cta-wrap .ml-form-checkboxRow label:hover {
	cursor:pointer
}

#page #rc4u-newsletter.newsletter-footer-wrap .ml-form-checkboxRow label::before{
	top:2px!important
}

#page #rc4u-newsletter.newsletter-cta-wrap .label-description::before,
#page #rc4u-newsletter.newsletter-cta-wrap .label-description::after{
	top:4px!important
}

#page #rc4u-newsletter.newsletter-footer-wrap input[type="email"],
#page #rc4u-newsletter.newsletter-footer-wrap button{
	border-radius:10px!important
}

#page #rc4u-newsletter.newsletter-footer-wrap button{
	background:var(--ast-global-color-2)!important;
	color:#fff!important
}

#page #rc4u-newsletter.newsletter-footer-wrap button:hover{
	background:var(--ast-global-color-0)!important;
	color:var(--ast-global-color-2)!important
}

#page #rc4u-newsletter.newsletter-footer-wrap .ml-form-checkboxRow p{
	font-size:.825rem!important
}

#page #rc4u-newsletter.newsletter-cta-wrap {
	padding: 60px
}

@media(max-width:976px) {
	#page #rc4u-newsletter.newsletter-cta-wrap {
	padding: 30px
	}
}

#page #rc4u-newsletter.newsletter-cta-wrap .embedForm {
	max-width: initial
}

#page #rc4u-newsletter.newsletter-cta-wrap .ml-form-embedSubmit,
#page #rc4u-newsletter.newsletter-cta-wrap .ml-form-checkboxRow{
	margin: 0
}

#page #rc4u-newsletter.newsletter-cta-wrap .ml-form-embedWrapper {
	background-color: transparent !important
}

#page #rc4u-newsletter.newsletter-cta-wrap .ml-form-horizontalRow {
	gap: 1.5rem;
  	display: flex
}

@media(max-width:600px) {
	#page #rc4u-newsletter.newsletter-cta-wrap .ml-form-horizontalRow {
		flex-direction: column
	}
	
	#page #rc4u-newsletter.newsletter-cta-wrap .ml-form-horizontalRow div:first-child {
		width: 100%
	}
	
	#page #rc4u-newsletter.newsletter-cta-wrap .ml-form-horizontalRow div:nth-child(2) {
		width: fit-content
	}
}

@media(max-width:400px) {
	#page #rc4u-newsletter.newsletter-cta-wrap .ml-mobileButton-horizontal {
		margin: 1rem 0 0	
	}
	
	#page #rc4u-newsletter.newsletter-cta-wrap .ml-mobileButton-horizontal button {
		border-radius: 99px !important
	}
	
	#page #rc4u-newsletter.newsletter-cta-wrap .ml-embedded h4 {
		font-size: 2rem !important
	}
}

#page #rc4u-newsletter.newsletter-cta-wrap .ml-error .label-description p {
	font-weight: 600	
}

#page #rc4u-newsletter.newsletter-cta-wrap button {
	border: 2px solid var(--ast-global-color-2)!important
}

#page #rc4u-newsletter.newsletter-cta-wrap button:hover{
	background: #fff !important;
	color:var(--ast-global-color-2)!important
}
